Page MenuHomePhabricator

Bring VE extension icons to OOUI packs and further align them
Open, NormalPublic

Description

We've got the canvas aligned in T190967, now it's time to evaluate the icons on possibly adding them to the icon collection.

  • Refine design based on top of Design Style Guide icon guidelines
  • Implement into OOUI
  • Update 'chem' icon – Extension:Math
  • Update 'math' icon – Extension:Math
  • Update 'hiero' icon – Extension:wikihiero
  • Update 'references' icon –

Event Timeline

Restricted Application added a project: UI-Standardization. · View Herald TranscriptMay 24 2018, 12:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Volker_E added a comment.EditedMay 28 2018, 5:18 PM

From conversation with @Pginer-WMF last week, the icons currently not in OOUI are:

  • hieroglyph (intended for 'editing-advanced' pack)
  • musical score ('musicalScore'; 'media')
  • chemical formula ('vial' or 'beaker'; 'editing-advanced')
  • graph ('media')
  • math … ('editing-advanced')

Volker_E moved this task from Backlog to Next-up on the OOUI board.May 28 2018, 8:26 PM
Volker_E triaged this task as Normal priority.Jun 1 2018, 2:06 PM
Vvjjkkii renamed this task from Bring VE extension icons to OOUI packs and further align them to bdcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from bdcaaaaaaa to Bring VE extension icons to OOUI packs and further align them.
CommunityTechBot added a subscriber: Aklapper.

I made an initial review and explored alternatives to align these icons to the guidelines and simplify some of them:

Change 458066 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add several 'editing-advanced' and 'media' pack icons

https://gerrit.wikimedia.org/r/458066

Change 458066 merged by jenkins-bot:
[oojs/ui@master] icons: Add several 'editing-advanced' and 'media' pack icons

https://gerrit.wikimedia.org/r/458066

Volker_E moved this task from Next-up to OOUI-0.28.1 on the OOUI board.Sep 5 2018, 12:25 AM
Volker_E edited projects, added OOUI (OOUI-0.28.1); removed OOUI.
Volker_E updated the task description. (Show Details)Jan 23 2019, 10:00 PM

Change 486175 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Math@master] Replace extension with standard OOUI icons

https://gerrit.wikimedia.org/r/486175

Change 486186 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/wikihiero@master] Replace extension icon with standard OOUI icon

https://gerrit.wikimedia.org/r/486186

Change 486186 merged by jenkins-bot:
[mediawiki/extensions/wikihiero@master] Replace extension icon with standard OOUI icon

https://gerrit.wikimedia.org/r/486186

Change 486175 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Replace extension icons with standard OOUI icons

https://gerrit.wikimedia.org/r/486175

Volker_E updated the task description. (Show Details)Jan 24 2019, 1:05 AM